<div id="tags">
  <?php
  if ( is_array( $this -> tags ) ) foreach ( $this -> tags as $tag )
    if ( $max < $tag['c'] )
      $max = $tag['c'];

  $tags = \S::shuffle_assoc( $this -> tags );
  
  if ( is_array( $tags ) ):
    echo '<ul>';
      foreach ( $tags as $tag ):
        $percent = floor( ( $tag['c'] / $max ) * 100 );
        switch ( $percent )
        {
          case ( $percent < 10 ): $class = 'tag1'; break;
          case ( $percent >= 10 and $percent < 20 ): $class = 'tag2'; break;
          case ( $percent >= 20 and $percent < 30 ): $class = 'tag3'; break;
          case ( $percent >= 30 and $percent < 40 ): $class = 'tag4'; break;
          case ( $percent >= 40 and $percent < 50 ): $class = 'tag5'; break;
          case ( $percent >= 50 and $percent < 60 ): $class = 'tag6'; break;
          case ( $percent >= 60 and $percent < 70 ): $class = 'tag7'; break;
          case ( $percent >= 70 and $percent < 80 ): $class = 'tag8'; break;
          case ( $percent >= 80 and $percent < 90 ): $class = 'tag9'; break;
          case ( $percent >= 90 ): $class = 'tag10'; break;
        }
        echo '<li class="' . $class . '">';
          echo '<a href="/tag,' . \S::seo( $tag['name'] ) . '">' . $tag['name'] . '</a>';
        echo '</li>';
      endforeach;
    echo '</ul>';
  endif;
  ?>
</div>